customExtensionHandler resource type
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Defines when to execute a custom access package workflow extension.
Inherits from entity.
Methods
None.
Note
To read the customExtensionHandler objects on a policy, append
?$expand=customExtensionHandlersto a GET accessPackageAssignmentPolicy request. For example,GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageAssignmentPolicies/4540a08f-8ab5-43f6-a923-015275799197?$expand=customExtensionHandlers. For more details, see Example 2: Retrieve the custom extension handlers for a policy.To delete the customExtensionHandlers objects from a policy, call the Update accessPackageAssignmentPolicy and specify the customExtensionHandlers property as an empty collection. For more details, see Example 2: Remove the customExtensionHandlers from a policy.
Properties
| Property | Type | Description |
|---|---|---|
| id | String | Identifier of the stage. Inherited from entity. |
| stage | accessPackageCustomExtensionStage | Indicates the stage of the access package assignment request workflow when the access package custom extension runs. The possible values are: assignmentRequestCreated, assignmentRequestApproved, assignmentRequestGranted, assignmentRequestRemoved, assignmentFourteenDaysBeforeExpiration, assignmentOneDayBeforeExpiration, unknownFutureValue. |
Relationships
| Relationship | Type | Description |
|---|---|---|
| customExtension | customAccessPackageWorkflowExtension | Indicates which custom workflow extension will be executed at this stage. Nullable. Supports $expand. |
JSON representation
The following is a JSON representation of the resource.
{
"@odata.type": "#microsoft.graph.customExtensionHandler",
"id": "String (identifier)",
"stage": "String"
}
Feedback
Submit and view feedback for